#!/bin/bash

if [ $# -ne 1 ]
then
    echo " usage: execute_submake subfolder [ FAIL ]"
    exit 1
fi

submake=$1
make -C $submake > /dev/null

err=$?

if [ $err -ne 0 ]
then
    echo " [ FAIL ]"
    exit $err
fi

echo " [ OK ]"

